| 0.9.8

- Main Page
- Modules
- Files

- File List

Functions
matrix_transform_2d.hpp File Reference

Go to the source code of this file.

## Functions
template<typename T , precision P>
GLM_FUNC_QUALIFIER tmat3x3< T, P > | rotate (tmat3x3< T, P > const &m, T angle)
template<typename T , precision P>
GLM_FUNC_QUALIFIER tmat3x3< T, P > | scale (tmat3x3< T, P > const &m, tvec2< T, P > const &v)
template<typename T , precision P>
GLM_FUNC_QUALIFIER tmat3x3< T, P > | shearX (tmat3x3< T, P > const &m, T y)
template<typename T , precision P>
GLM_FUNC_QUALIFIER tmat3x3< T, P > | shearY (tmat3x3< T, P > const &m, T x)
template<typename T , precision P>
GLM_FUNC_QUALIFIER tmat3x3< T, P > | translate (tmat3x3< T, P > const &m, tvec2< T, P > const &v)

## Detailed Description

GLM_GTX_matrix_transform_2d

Author
  Miguel Ángel Pérez Martínez

See also
  GLM Core (dependence)

Definition in file matrix_transform_2d.hpp.